import { DatasetProfileComboBoxType } from "../../../common/enum/dataset-profile-combo-box-type";
import { DatasetProfileInternalDmpEntitiesType } from "../../../common/enum/dataset-profile-internal-dmp-entities-type";

export interface FieldData {
	label: string;
}

export interface AutoCompleteFieldData extends FieldData {
	type: DatasetProfileComboBoxType;
	autoCompleteSingleDataList: AutoCompleteSingleData[];
	multiAutoComplete: boolean;
}

export interface AutoCompleteSingleData extends FieldData {
	url: string;
	optionsRoot: string;
	autoCompleteOptions: FieldDataOption;
	autocompleteType: number;
}

export interface CheckBoxFieldData extends FieldData {

}

export interface BooleanDecisionFieldData extends FieldData {

}

export interface FreeTextFieldData extends FieldData {

}

export interface RadioBoxFieldData extends FieldData {
	options: Array<FieldDataOption>;
}

export interface TextAreaFieldData extends FieldData {

}

export interface WordListFieldData extends FieldData {
	type: DatasetProfileComboBoxType;
	options: Array<FieldDataOption>;
	multiList: boolean;
}

export interface FieldDataOption extends FieldData {
	label: string;
	value: string;
	source: string;
}

export interface DatePickerFieldData extends FieldData {

}

export interface ResearchersAutoCompleteFieldData extends FieldData {
	type: DatasetProfileInternalDmpEntitiesType;
	multiAutoComplete: boolean;
}

export interface DatasetsAutoCompleteFieldData extends FieldData {
	type: DatasetProfileInternalDmpEntitiesType;
	multiAutoComplete: boolean;
	autoCompleteType: number;
}

export interface DmpsAutoCompleteFieldData extends FieldData {
	type: DatasetProfileInternalDmpEntitiesType;
	multiAutoComplete: boolean;
}

export interface ExternalDatasetsFieldData extends FieldData {

}

export interface DataRepositoriesFieldData extends FieldData {

}

export interface RegistriesFieldData extends FieldData {

}

export interface ServicesFieldData extends FieldData {

}

export interface TagsFieldData extends FieldData {

}

export interface ResearchersFieldData extends FieldData {

}

export interface OrganizationsFieldData extends FieldData {

}

export interface DatasetIdentifierFieldData extends FieldData {

}

export interface CurrencyFieldData extends FieldData {

}
